export declare class Store<TStore> {
    private _data;
    private _history;
    private _initial;
    constructor(data: TStore);
    private _store();
    private _storeRollback();
    private _update(data);
    clone(): Store<TStore>;
    get(): TStore;
    reset(): void;
    rollback(): void;
    update(data: TStore): void;
    updateStrict(data: TStore): void;
}
