import { CssClassList } from '../../classes/css';
import * as React from 'react';

export interface IFontIconProps {
  icon: string;
}

export class FontIcon extends React.Component<IFontIconProps, {}> {
  public render() {
    let _css = new CssClassList(this.props.icon);
    return (
      <i className={_css.toString()}/>
    )
  }
}
