
/**
* camelizes a dash cased string
* @param  {string} stringValue
* @return {string}
*/
export function camelize(stringValue: string): string {
  return stringValue.replace(/-([a-z])/g, needle => needle[1].toUpperCase()).replace(/-/g, '');
}

/**
 * will capitalize the first letter only
 * @param  {string} inputString
 * @return {string}
 */
export function capitalizeFirst(inputString: string): string {
  return inputString.charAt(0).toUpperCase() + inputString.slice(1)
}
