Ride-components
===============

Ride-components-react is a set of React components for your web applications and websites.

#### requirements

* node
* typescript

#### install

```bash
  # installing the lib, this will install react and react-dom too
  npm install ride-components-react --save
```

#### install typescript definitions

Using typings

```bash
# installing typings
typings init
# you will need the global definitions in order to get a proper autocomplete
typings install dt~react-global dt~react dt~react-dom --save --global
```

Using tsd (recommended)

```bash
tsd install react-global react react-dom --save --resolve
```

#### docs

You can find docs about ride-components and ride-components-react [here](https://ride-css.github.io/components)

#### licence

The MIT License (MIT)
Copyright (c) 2016-present Paolo Roth and contributors

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
