/// <reference types="react" />
import { Pagination } from '../../classes/Pagination';
import * as React from 'react';
export interface IPaginationButtonsProps {
    color: string;
    colorActive: string;
    config: Pagination<any>;
    hideFirst?: boolean;
    hideLast?: boolean;
    hideNext?: boolean;
    hidePrev?: boolean;
    textFirst?: string;
    textLast?: string;
    textNext?: string;
    textPrev?: string;
}
export declare class PaginationButtons extends React.Component<IPaginationButtonsProps, {}> {
    private getCurrentColour(pageNumber);
    private getDefaultButtonColor();
    private getDefaultButtonColorActive();
    render(): JSX.Element;
}
