/// <reference types="react" />
import * as React from 'react';
export interface ITabsProps {
    buttonColor?: string;
    buttonActiveColor?: string;
    buttons: Array<string>;
    hidden?: boolean;
    selected?: string;
    vertical?: boolean;
}
export interface ITabsState {
    current: string;
}
export declare class Tabs extends React.Component<ITabsProps, ITabsState> {
    constructor(props: ITabsProps);
    getCurrentCss(name: string): string;
    isCurrent(name: string): boolean;
    setAsCurrent(name: string): void;
    render(): JSX.Element;
}
