import { dialogOverlay, dialogOverlayVisible } from 'ride-components/dist/ts/css/dialog-overlay';
import { CssClassList } from '../../classes/css';
import * as React from 'react';

export interface IDialogOverlayProps {
  visible: boolean;
}

export class DialogOverlay extends React.Component<IDialogOverlayProps, any> {
  public render() {
    let _css = new CssClassList(dialogOverlay);
    if (this.props.visible) _css.add(dialogOverlayVisible);
    return (
      <div className={_css.toString()}></div>
    )
  }
}
