import { CssClassList } from '../../classes/css';
import { UserImage } from './image';
import * as React from 'react';
import * as user from 'ride-components/dist/ts/css/user';

export interface IUser {
  vSpace?: boolean;
}

export class User extends React.Component<IUser, {}> {
  public static Image = UserImage;

  public render() {
    let _css = new CssClassList(user.user);
    if (this.props.vSpace) _css.add(user.userVSpaced);
    return (
      <div className={_css.toString()}>
        {this.props.children}
      </div>
    )
  }
}
