import * as ReactDOM from 'react-dom';

/**
 * shorthand used to render components
 * @param {any}    component
 * @param {string} selector
 */
export function renderComponent(component: any, selector: string): void {
  let render = () => ReactDOM.render(component, document.querySelector(selector));
  document.readyState === 'complete' ? render() : document.addEventListener('DOMContentLoaded', () => render());
}
